const api = require('./api');
const { verifyConfig } = require('./verify');

module.exports = async (commands = {}) => {
  try {
    await verifyConfig(commands);
    let data;
    if (!commands.all) {
      data = {
        status: 'published'
      };
    }
    const res = await api.getExtensionList(data);
    const extensionList = res.data?.data?.extensions || [];
    extensionList.forEach((extension) => {
      console.log(`${extension.name || extension.extension_id}(${extension.publish_status}/${extension.extension_id})`);
    });
  } catch (error) {
    error.response ? consoleError(`Error: ${error.response.status}-${error.response.config.url}`) : consoleError(error);
  }
};
